[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Objects' (#rtl)

# TBufStream.Done

Close the file and cleans up the instance.

## Declaration

Source position: objects.pp line 344

`destructor TBufStream.Done; virtual;`

## Description

Done flushes and closes the file if it was open and cleans up the instance of TBufStream.

For an example see TBufStream.Flush.

## Errors

None.

## See also

TDosStream.Done |  | Closes the file and cleans up the instance.
TBufStream.Init |  | Initialize an instance of TBufStream and open the file.
TBufStream.Close |  | Flush data and Close the file.

Documentation generated on: Feb 26 2014